<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean"%>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="display" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html:html>
  <head>
    <title>example.jsp</title>
  </head>
  
  <body>
    <h3>Simple paging with struts tags. </h3>
 
	<table border="1">
		<tr>
			<td><b>ID</b></td>
			<td><b>Name</b></td>
			<td><b>City</b></td>
			<td><b>Phone</b></td>
		</tr>
		<%-- Iteration over the list --%>
		<logic:iterate name="testList" property="listByOffsetAndLength" id="var">
		<tr>
			<td><bean:write name="var" property="id" /></td>
			<td><bean:write name="var" property="name" /></td>
			<td><bean:write name="var" property="city" /></td>
			<td><bean:write name="var" property="phone" /></td>
		</tr>
		</logic:iterate>				
		<tr>
			<td colspan="4"> 
				<logic:iterate name="testList" property="pages" id="varpage">
					<html:link action="/example" paramName="varpage" paramId="page">
						<bean:write name="varpage" />
					</html:link>
				</logic:iterate>
			</td>
		</tr>
	</table>
	
	<h3>Simple use of display tag library for paging with struts. </h3>
	
	<display:table name="testList.list"   
				   pagesize="3" 
				   requestURI="/example.do" />
	
	
	<h3>Adavanced use of display tag library for paging with struts. </h3>
	
	<display:table name="testList.list" 
				   pagesize="3" 
				   requestURI="/example.do" >
				   
		<display:column property="id" title="ID" sortable="true" />
		<display:column property="name" title="Name" sortable="true" />
		<display:column property="city" title="City" sortable="true" />
		<display:column property="phone" title="Phone" sortable="true" />
	</display:table>
		
  </body>
</html:html>
